#ifndef UTILS_H
#define UTILS_H

#include <stdlib.h>

size_t read_video(
  char *name,       //file name
  unsigned char *I, //video to write
  int size          //size of the video
);

size_t write_video(
  char *name,       //file name
  unsigned char *I, //video to write
  int size          //size of the video
);

void add_noise(
  float *u,    //input image
  float *v,    //output noisy image
  float sigma, //Gaussian standard deviation
  int   size   //number of pixels
);

void rgb2gray(
  unsigned char *rgb, //input color image
  float *gray, //output grayscale image
  int size     //number of pixels
);

#endif